Not compatible with 3.0.7 Rated 2 out of 5 stars

I love this extension, however it's not compatible with the latest release of Firefox (which I had no choice in updating), and now it's been forcibly uninstalled. Is there a new version in the works!
Thanks for your work!

This review is for a previous version of the add-on (3.0.0).